# GimpUi.ProcedureDialog.prototype.get_scale_entry

    function get_scale_entry(property: String, factor: Number(gdouble)): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_get_scale_entry()
    }

Creates a new GimpUi.ScaleEntry for property which must necessarily be an integer or double property. This can be used instead of GimpUi.ProcedureDialog.prototype.get_widget in particular if you want to tweak the display factor. A typical example is showing a [0.0, 1.0] range as [0.0, 100.0] instead (factor = 100.0).

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

property

  name of the int property to build a combo for. It must be a property of the Gimp.Procedure dialog has been created for.

factor

  a display factor for the range shown by the widget.

Returns

  the Gtk.Widget representing property. The object belongs to dialog and must not be freed.